import { createApp } from 'vue'
import App from './App.vue'
import Router from './router'

// Import global components.
import Upload from './components/Upload'

// Import PrimeVue dependencies.
import PrimeVue from 'primevue/config'
import Button from 'primevue/button'
import Card from 'primevue/card'
import FileUpload from 'primevue/fileupload'
import InputText from 'primevue/inputtext'
import MenuBar from 'primevue/menubar'
import 'primeflex/primeflex.css'
import 'primeicons/primeicons.css'
import 'primevue/resources/primevue.min.css'
import 'primevue/resources/themes/bootstrap4-light-blue/theme.css'

import WebTorrent from 'webtorrent'

const app = createApp(App)

app.use(Router)
app.use(PrimeVue)
app.use(WebTorrent)

app.component('Button', Button)
app.component('Card', Card)
app.component('FileUpload', FileUpload)
app.component('InputText', InputText)
app.component('MenuBar', MenuBar)
app.component('Upload', Upload)

// Render to DOM.
app.mount('#app')
